package com.yiqi.common.enums;

public enum SysConfigKey {
    FactorySettlementMaterialRate("factory.settlement.material.rate", "工厂结算费率-材料费率"),
    FactorySettlementManageRate("factory.settlement.manage.rate", "工厂结算费率-管理费率"),
    FactorySettlementDepositRate("factory.settlement.deposit.rate", "工厂结算费率-押金费率"),
//    FactorySettlementOtherStoreRate("factory.settlement.other.store.rate", "工厂结算费率-异店消费费率"),
//    FactorySettlementPayRate("factory.settlement.pay.rate", "工厂结算费率-支付费率"),
//    FactorySettlementAliRate("factory.settlement.ali.rate", "工厂结算费率-支付宝费率"),
//    FactorySettlementWXRate("factory.settlement.wx.rate", "工厂结算费率-微信费率"),
    FactorySettlementOnlineWashRate("factory.settlement.onlineWash.rate", "工厂结算费率-云洗费率"),


    StoreSettlementFactoryRate("store.settlement.factory.rate", "门店结算费率-工厂结算费率"),
    StoreSettlementMaterialRate("store.settlement.material.rate", "门店结算费率-材料费率"),
    StoreSettlementManageRate("store.settlement.manage.rate", "门店结算费率-管理费率"),
    StoreSettlementDepositRate("store.settlement.deposit.rate", "门店结算费率-押金费率"),
    StoreSettlementOtherStoreRate("store.settlement.other.store.rate", "门店结算费率-异店消费费率"),
//    StoreSettlementPayRate("store.settlement.pay.rate", "门店结算费率-支付费率"),
    StoreSettlementAliRate("store.settlement.ali.rate", "门店结算费率-支付宝费率"),
    StoreSettlementWXRate("store.settlement.wx.rate", "门店结算费率-微信费率"),


    SysHangerMaxCount("sys.hanger.max.count", "挂架-单个点位最大可挂数量"),
    OrderClothDefaultSpeed("order.cloth.default.speed", "洗衣订单-默认洗衣速度"),
    OrderClothDeliveryPrice("order.cloth.deliveryPrice","洗衣订单-收衣配送费"),
    OrderClothHedgingRate("order.cloth.hedgingRate","洗衣订单-保值费率"),
    ;

    private final String code;
    private final String info;

    SysConfigKey(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
